*white led driver with NPN driver

*transistor model
.MODEL t2N3904   NPN(IS=1E-14 VAF=100 Bf=300 IKF=0.4 XTB=1.5 BR=4 CJC=4E-12 CJE=8E-12 
+                RB=20 RC=0.1 RE=0.1 TR=250E-9 TF=350E-12 ITF=1 VTF=2 XTF=3 Vceo=40 

*White LED model
* LUXEON Midpower 5630 binned at 100mA
.model white_led D (Is=2.3275e-19 Rs=2.4475 N=2.7088)

*power supply
Vsup   vcc       gnd           3.0v

*input oscillator source
Vosc vpulse gnd  3.0 PULSE(0 3.0 1n 100n 100n 40e-6 80e-6)

*BJT connections: collector base emitter 
q1     coll1    base1   gnd    t2N3904
r5     vpulse   base1          150
l1     coll1    vcc            100uH
d1     coll1    tie            white_led
vsen   tie      vcc            0 ; to sense collector current

.control
  set hcopydevtype=postscript
  set hcopypscolor=true
  set color0 = rgb:f/f/f
  set color1 = rgb:0/0/0
  tran 1us  1ms  
  plot  i(vsen) V(base1) V(coll1) xl 1us 1ms
.endc


