Fullwave bridge rectifier with filter capacitor

.model mod1 d

v1 1 0 sin(0 10 60 0 0)    ;20 Vpp, 60hz source
rload 2 3 1k               ;1k load resistor
d1 3 1 mod1                ;diode
d2 1 2 mod1                ;diode
d3 3 0 mod1                ;diode
d4 0 2 mod1                ;diode
C1 2 3 50uf                ;filter capacitor

.control
  set hcopydevtype=postscript
  set hcopypscolor=true
  set color0 = rgb:f/f/f
  set color1 = rgb:0/0/0
  set color2 = rgb:f/0/0
  tran 0.5ms 25ms
  plot V(1) V(2,3) xl 0.5ms 25ms
.endc
.end

