Boost converter 
.include irf540.inc ;external mosfet model is in this file

*model for fast schottky diode
.MODEL 1n5819 d IS=1.19279e-05 RS=0.0625421 N=1.16517 EG=1.3 XTI=3.22098 BV=40 
+               IBV=0.001 CJO=1.50114e-10 VJ=1.5 M=0.590203 FC=0.5 TT=2.6273e-08
+               KF=0 AF=1

Vin      vin     gnd      10.0 
Vgate    gate    gnd      15.0 PULSE(0 15.0 1ns 10ns 10ns 2ms 20ms)
vtest    vin     l_in     0
l1       l_in    l_out    30mH 
d1       l_out   vout     1n5819
c1       vout    gnd      1000uf
rload    vout    gnd      500
xmosfet  l_out   gate   gnd  irf540n ;drain, gate, source

.control
  set hcopydevtype=postscript
  set hcopypscolor=true
  set color0 = rgb:f/f/f
  set color1 = rgb:0/0/0
  set color2 = rgb:f/0/0
  tran 0.01ms 400ms
  plot  I(vtest)  v(gate)  v(l_out) xl  10us  400ms
  plot  v(Vin) v(vout)  xl  10us  400ms
  set noaskquit
.endc

.end

