Villard voltage multiplier

*model for fast schottky diode
.MODEL 1n5819 d IS=1.19279e-05 RS=0.0625421 N=1.16517 EG=1.3 XTI=3.22098 BV=40
+               IBV=0.001 CJO=1.50114e-10 VJ=1.5 M=0.590203 FC=0.5 TT=2.6273e-08
+               KF=0 AF=1

vs          a    0       sin(0 5 1000 0 0)  ;5 Vpp, 1000hz source
c1          a    b       10uf
d1        gnd    b       1n5819             ;diode
c2        gnd    v_out   10uf
d2          b    v_out   1n5819             ;diode
rload   v_out    0       1k                 ;1k load resistor

.control
  set hcopydevtype=postscript
  set hcopypscolor=true
  set color0 = rgb:f/f/f
  set color1 = rgb:0/0/0
  set color2 = rgb:f/0/0
  tran 0.1ms 25ms
  plot V(a) V(b) V(v_out) xl 0.5ms 25ms
.endc
.end

